/* Default colors */
:root {
	--color: #23011f;
	--background: #edd6fc;
	
	--link: #7b2371;
	--linkhover: #8d94a3;
	
	--formbg:#f4f1e9;
	--formcolor:#212c2c;
	
	--accentbg:#e0c6c6;
	--hr: #bb6060;

	--gap: 1.5rem;
}

/* Alternate colors */
/* Replace "dark" with "light" and add your light mode colors here if you want your site to be in dark mode by default */
@media (prefers-color-scheme: dark) {
	:root {
		--color:#c2cbd6;
		--background:#22151f ;
		
		--link:#9f67d3;
		--linkhover:#cc8076;
		
		--formbg:#232c2f;
		--formcolor:#DCD7C9;
		
		--accentbg: #382d3a;
		--hr: #815b7e;
	}
}

/* ------ The rest of the code starts here ------- */

* { margin: 0; 
	padding: 0; 
	transition:0.5s ease;
	box-sizing: border-box;
	scrollbar-width: thin;
	scrollbar-color: var(--hr) var(--accentbg);
}

#skip a {
	position: absolute;
	display: inline-block;
	left: 0px;
	top: -1000px;
	overflow: hidden;
	transition: top 0.5s ease;
	background: var(--background);
	color: var(--link);
	z-index: 1000;
	padding: 5px;
}

#skip a:focus {
	top: 0;
	transition: top 0.5s ease;
}

#container {
	margin: 1.25rem auto;
	padding: 1.25rem;
}

body {
	color: var(--color);
	background: var(--background);
	font: 1rem sans-serif;
	letter-spacing: .35px;
	margin-bottom: 0.625rem;
}

/* Header */

header {
	font-size: 1.625em;
	text-align: center;
	font-style: italic;
}

/* Header links */

header ul {
	list-style: none;
	margin: 0;
}

header li {
	display: inline-block;
	margin: 0px 10px 0px 0px;
	font-family: Georgia, Times New Roman, serif;
}

img { 
	margin: 0.125rem; 
	max-width: 80%;
}

figure {
	margin-inline: var(--gap);
}

figcaption {
	text-align: center;
}

main {
	margin: 0 auto;
	padding: 0.5rem;
	width: 100%;
	max-width: 50rem;
}

aside{
	margin: 0 auto;
	padding: 0 1.5rem;
	width: 90%;
	font-size: smaller;
	border-radius: 6px;
}

aside h4{
	background-color: var(--accentbg);
	border-radius: 4px;
	padding: 5px 8px;
	margin: 0 0 8px 0;
}

aside section{
	padding: 1em 1em;
	margin: 1.5em auto;
	background-color: var(--background);
	border: 1px solid var(--hr);
	border-radius: 4px;
	box-shadow: 0.25px 4px 5px var(--accentbg);
}

a {
	color:var(--link);
}

a:hover {
	color: var(--linkhover);
}

li a {
	text-decoration:none;
}

p {
	margin: 0.625rem 0;
	line-height: 1.5;
	font-size: 1.125rem /*18px*/;

}

main h1 {
	font: 2.1875rem /* 35px */ Georgia, Times New Roman, serif;
	margin: 0.3125rem 0;
}

main h2 {
	font: 1.9375rem /* 31px */ Georgia, Times New Roman, serif;
	margin: 0.625rem 0 0 0;
}

main h3, aside h3 {
	font: 1.75rem /* 28px*/ Georgia, Times New Roman, serif;
	margin: 1rem 0 0.5rem 0;
}

main h4, aside h3 {
	font: 1.5625rem /* 25px*/ Georgia, Times New Roman, serif;
	font-style: italic;
	margin: 1.25rem 0 0.5rem;
}

main h5 {
	font: 1.375rem /* 22px*/ Georgia, Times New Roman, serif;
	font-style: italic;
	margin: 1.5rem 0 0 0;
}

main input, textarea, select { 
	background: var(--formbg);  
	color: var(--formcolor);
	font: 12pt sans-serif; 
	border: 1px solid var(--hr); 
	padding: 0.3125rem; 
	margin: 0.3125rem;
	border-radius: 0.3125rem;
}

main textarea {
	width:90%;
}

input[type="submit"], input[type="reset"] {
	font-size:13pt;
	background:var(--accentbg);
}

input[type="submit"]:hover, input[type="reset"]:hover {
	background:var(--hr);
	cursor:pointer;
}

main table {
	margin: 0.625rem auto;
	padding: 0.3125rem;
	width:100%;
	border-collapse:collapse;
}

main th {
	border-bottom: 0.0625rem solid var(--hr);
	padding: 0.3125rem;
	text-align:left;
}

main td {
	padding: 0.1875rem;
}

main tr:nth-child(2n) {
	background:var(--accentbg);
}

main ul, ol { 
	list-style-position: outside;
	margin: 0.5rem 0 0.5rem 1.25rem;
}

main li {
	margin: 0.3125rem 0;
	line-height:1.5;
}

main ul li ul, main ol li ol {
	margin-left: 0.9375rem;
}

main blockquote, aside blockquote {
	padding: 0.625rem;
	background-color: var(--accentbg);
	border-left: 4px solid var(--hr);
	border-radius: 4px;
	margin: 0.5rem 1rem;
	line-height: 1.5;
}

main blockquote cite {
	font-size: 0.917rem;
	position:relative;
	right:0;
}

main summary {
	cursor:pointer;
	margin: 0.3125rem 0;
}

/* main summary h3, h4{
	display: inline;
} */

main details {
	padding: 0.625rem;
	background:var(--accentbg);
	margin: 0.3125rem 0;
    border-radius: 0.3125rem;
}

main hr {
	border: 1.25px dashed var(--hr);
    margin: 1.25rem auto;
	display: block;
}

main pre {
	padding: 0.625rem;
	background:var(--accentbg);
	margin: 0.625rem auto;
	border-radius: 0.3125rem;
	overflow: auto;
}

button {
	background-color: transparent;
	color: var(--link);
	font: 12pt sans-serif; 
	border: none;
	border-radius: 0.5rem;
	text-align: center;
}

button a{
	font-size: 0.85rem;
}

section, article{
	margin: 1.0625rem 0;
}

article section, section article{
	margin: 0 1rem;
}

footer {
	text-align: center;
	border-top: 0.5px solid var(--hr);
	padding: 0.625rem;
	width: 90%;
	margin: 0 auto;
}

/* =========== 
	IDs		
 ============= */

#profile-image{
	border-radius: 50%;
}

.icon{
	width: 32px;
	margin: 0 0.0625rem;
}

.fancy-box{
	padding: 0.5em;
	color: var(--color);
    background-color: var(--accentbg);
    border: 2px solid var(--hr);
	border-radius: 8px;
	font-size: 0.95rem;
}

.banner{
	width: 200px;
}

.stamp{
	width: 100px;
}

/* =========== 
	CLASSES		
 ============= */


.smaller{
	font-size: 60%;
}

.center{
	text-align: center;
}

/* =========== 
	WIDGETS		
 ============= */

/* status.cafe */
#statuscafe {
	padding: 0 1em;
	color: var(--color);
	font: 0.75rem;
}
#statuscafe-username {
    margin-bottom: .5em;
}
#statuscafe-content {
    margin: 0 1em 0.5em 1em;
}

/* webrings */

#webring{
	height: 350px;
	overflow: auto;
}

.webring-item{
	margin: 0.5em auto;
	padding: 0.25rem 0.5rem;
	width: 90%;
	border-radius: 4px;
	border: 1px dashed var(--hr);
}

.webring p{
	margin: 0;
}

.webring button:first-child{
	float: left;
}

.webring button:last-child{
	float: right;
}

/* Button */

.bttn {
	margin: 1rem auto;
	padding: 0.5rem 0.7rem;
	border-radius: 15rem;
	text-decoration: none;
	display: block;
	background-color: transparent;
	font-size: medium;
	border: 2px solid var(--hr);
}

.bttn a{
	text-decoration: none;
	color: var(--color);
}

.bttn:hover {
        background-color: var(--hr);
    }

.bttn a:hover{
	color: var(--linkhover);
}

.scrollbox{
	max-height: 250px; 
	overflow: auto;
}

/*Floating Back-To-Top Button*/
    .float {
        position: fixed;
        bottom: 10px;
        float: right;
        right: 25%;
        left: 88%;
        max-width: 50px;
        width: 100%;
        font-size: 35px;
        padding: .5px;
        border-radius: 50%;
		text-align: center;
    }

/* ================ 
	MEDIA QUERIES		
 ================== */

@media (prefers-color-scheme: dark) {

	main img {
		opacity:0.6;
	}
	
	main img:hover {
		opacity:1;
	}

	main a img:hover {
		opacity:1;
	}
}

/* Start https://www.cursors-4u.com */
* {
	cursor: url(https://cur.cursors-4u.net/nature/nat-3/nat260.cur), auto !important;
}

/* End https://www.cursors-4u.com */

.flexcontainer {
    display: block;
    flex-wrap: wrap;
    margin: 0 auto;
	/* border: 1px solid white; */
}



@media screen and (min-width: 800px) {
    .flexcontainer {
        display: flex;
		flex-wrap: wrap;
		flex-direction: row;
		width: 95%;
    }

	aside {
        flex: 1 1 calc(25% - 20px);
        margin: 0.5rem auto;
		padding: 0.3125em 0;
		
    }

	.floating-sidebar{
	position: sticky;
		top: 0;
	}

	main .flexcontainer{
		width: 100%;
	}

	.full { 
	flex: 1 1 100%;
	}

	.half {
		flex: 1 1 calc(50% - 20px);
		margin: 0 1rem;
		/* border: 1px solid white; */
	}

	.third { 
		flex: 1 1 33%; 
	}

	.twothird { 
		flex: 1 1 66%; 
	}

	.quarter { 
		flex: 1 1 calc(25% - 40px);
		margin: 0 1rem;
	}

	.threequarter { 
		flex: 1 1 calc(75% - 10px);
	}
}
